Bug 465628 - i810 fails on newer drm kernels (GM965)
i810 fails on newer drm kernels (GM965)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 16:21 EDT by darrell pfeifer
Modified: 2009-12-18 01:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:30:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failed xorg log (17.81 KB, text/plain)
2008-10-04 16:21 EDT, darrell pfeifer
no flags Details

  None (edit)
Description darrell pfeifer 2008-10-04 16:21:24 EDT
Created attachment 319474 [details]
failed xorg log

Description of problem:

Neither drm enabled kernels nor newer i810 drivers work on my Dell Inspiron 1720 laptop


Version-Release number of selected component (if applicable):

The versions of kernel and i810 that work for me are

2.6.27-0.323.rc6.fc10.i686.PAE
xorg-x11-drv-i810-2.4.2-1.fc10.i386


How reproducible:

Newer versions of the i810 driver will not work on the 323 kernel.

Newer versions of the kernel do not work with either the 2.4.2 i810 driver, nor with newer versions of the driver.

The various non-working kernels have been tried with noth nomodeset and removing rhgb from the boot line.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

When booting with a newer kernel, /var/log/messages shows that the drm module is loaded and then the log ends. The screen is black and you can't ctrl-alt-F1 to a console.

The non-working xorg.conf files often show

/var/log/Xorg.1.log:(EE) intel(0): [drm] Failed to initialized agp heap manager

though recent ones show

(EE) intel(0): [drm] failure adding irq handler

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 1 darrell pfeifer 2008-10-10 22:13:36 EDT
(Re)moving the drm.ko module allows kernel 2.6.27-3 to work with the 2.4.2-1 driver. Any newer i810 driver (eg. 2.4.2-9) gets to gdm, draws the outline of the login box and never gets any farther.
Comment 2 Bug Zapper 2008-11-25 22:33:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:31:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:30:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.